Subject: bug#1741: 23.0.60; vc fail to register file while logged as /su:: with tramp

From: Stefan Monnier <[email-masked]>
Date: Mon, 13 Apr 2009 08:24:43 -0400

>> AFAIK the main benefit of the cache is to bundle up all the redundant
>> `file-attibutes' calls that take place during something like
>> `find-file-noselect'.  Such optimizations won't be affected by the
>> cache-flush.  So I expect that the cache-flush I suggest won't cause
>> a performance problem.

> Not only `file-attributes'; it is useful for other often-called
> primitives like `file-exists-p' as well.

Yes, of course.  I'd expect `file-exists-p' to return data from the
cache after a call to `file-attributes', tho.
Have you actually tried such flushing?

> Do you agree? And if yes, what shall be the values of such an option?
> Simple "yes/no", or more granular, like the ttl proposal I have done?

As explained, I'd just start with the simplest possible solution because
I expect it will be sufficient.

        Stefan